Bug 438234 - [RHEL5.2] selinux-policy Can no longer compile policys
Summary: [RHEL5.2] selinux-policy Can no longer compile policys
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: All Linux
low
urgent
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact:
URL: http://rhts.redhat.com/testlogs/18017...
Whiteboard:
Keywords: Regression, TestBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-19 19:52 UTC by Jeff Burke
Modified: 2008-05-21 16:10 UTC (History)
5 users (show)

Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:10:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0465 normal SHIPPED_LIVE selinux-policy bug fix update 2008-05-20 14:36:31 UTC

Description Jeff Burke 2008-03-19 19:52:59 UTC
Description of problem:
 ibsepol.link_modules: Tried to link in a non-MLS module with an MLS base.

Version-Release number of selected component (if applicable):
 RHEL5.2-Server-20080313.0

How reproducible:
 Always

Steps to Reproduce:
1. Try to build a selinux policy 
  
Actual results:

Compiling targeted test_policy module
/usr/bin/checkmodule:  loading policy configuration from tmp/test_policy.tmp
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 6) to
tmp/test_policy.mod
Creating targeted test_policy.pp policy package
rm tmp/test_policy.mod tmp/test_policy.mod.fc
make[2]: Leaving directory `/usr/share/selinux/devel'
libsepol.link_modules: Tried to link in a non-MLS module with an MLS base.
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
make[1]: *** [load] Error 1
make[1]: Leaving directory
`/mnt/tests/kernel/security/selinux/ltp-selinux/20071231/ltp-full-20071231/testcases/kernel/security/selinux-testsuite/refpolicy'
Failed to build and load test_policy module, aborting test run.

Expected results:
 seliux-target-devel should allow use to build policy files

Additional info:

Comment 1 Eric Paris 2008-03-19 19:55:46 UTC
I am guessing this is build root without /selinux mounted?  If so you have to
tell it to build with MLS extentions

make TYPE=targeted-mcs -F /usr/share/seliunux/devel

Comment 2 Daniel Walsh 2008-03-19 20:23:06 UTC
This needs to be fixed.
This is a bug in the Makefile used to compile policy modules.

Comment 4 Daniel Walsh 2008-03-20 16:02:10 UTC
Fixed in selinux-policy-2.4.6-126.el5.src.rpm


Comment 9 errata-xmlrpc 2008-05-21 16:10:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html



Note You need to log in before you can comment on or make changes to this bug.